Upstream information

CVE-2005-0077 at MITRE

Description

The DBI library (libdbi-perl) for Perl allows local users to overwrite arbitrary files via a symlink attack on a temporary PID file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:N/I:P/A:N
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entries: 65026, 65033 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SuSE Linux Openexchange Server 4
SuSE Linux School Server for i386
SuSE Linux Standard Server 8
  • perl-DBI >= 1.28-119
suse91.ppc
suse91.x86-64
suse91.s390
suse91.x86
suse91.s390x
slss8.x86
suse91.ia64
YOU Patch Nr: 9838
Novell Linux Desktop 9 for x86
  • perl-DBI >= 1.41-28.4
suse91.ppc
suse91.x86-64
suse91.s390
suse91.x86
suse91.s390x
slss8.x86
suse91.ia64
YOU Patch Nr: 9838